Reply To: wp_mp_templates table not generated in WordPress 4.2.2

Author Replies
multipliertech # Posted on June 25, 2015 at 5:22 pm

This is the error I’m getting when activating the plugin.

WordPress database error: [Specified key was too long; max key length is 767 bytes]

CREATE TABLE wp_mp_templates (
id varchar(255),
supports text,
visibility text,
PRIMARY KEY (id)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci

Only happens in version 4.2+

Could it be my database charset setting? Can you please advise me on what I should do?

Thank you.

Latest From the Blog

MasterPress 1.3.6 is now available

Masterpress 1.3.6 is a compatibility release. It resolves an edge case with shared fieldsets not working for MySQL 8 when the fieldset is limited to more than 1 post type or taxonomy or excluding any post types or taxonomies.

Plugin Requirements

MasterPress requires a minimum of WordPress version 4.9, MySQL 5.6, and PHP version 5.6.20.

We also recommend that PHP is configured to use a memory limit of 64MB per request (128MB may be required for sites with higher complexity).

This plug-in is not compatible with the WordPress.com hosted service.

Three AM